Create a new VPC
Creates a new VPC. To preview pricing without creating anything, use POST /networks/vpc/cost-estimate.
Authentication
X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret
Request
This endpoint expects an object.
name
Human-readable name for the VPC.
region
Region the VPC will be created in. References a region label from /v1/compute/regions.
cidr
IPv4 CIDR block the VPC will use.
description
Free-form description of the VPC.
Response
The VPC has been created
id
Unique identifier for the VPC
name
Name of the VPC
description
Description of the VPC
cidr
CIDR of the VPC
status
VPC status
Allowed values:
region
Region where the VPC is located
tiers
Network tiers in this VPC
publicIps
Public IP addresses associated with this VPC
createdAt
VPC creation date
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error